Bug 1785030 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: oscap-anaconda-addon
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Týč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-18 22:37 UTC by jibecfed
Modified: 2020-09-07 08:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-06 07:28:17 UTC
Type: Bug


Attachments (Terms of Use)

Description jibecfed 2019-12-18 22:37:14 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:
* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:
* For github hosted projects, Weblate open pull request. For other project, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Jan Černý 2020-01-06 09:54:46 UTC
Hi,

> * [mandatory] which branch is your development branch?

We have 3 development branches at this moment: rhel7-branch, rhel8-branch and master. In rhel7-branch we develop code compatible with RHEL7 version of Anaconda, in rhel8-branch we develop code compatible with RHEL8 version of Anaconda and in master we add changes for the latest Anaconda. We need to maintain translations for all 3 branches. Currently in Zanata we have translations for all 3 branches.

> * [mandatory] have you merged latest translation from Zanata and locked the project?

No, we never merge the translations, we keep only the POT file in our repository. We upload the POT file to Zanata and we download fresh updates from Zanata each time an upstream release is done. [1]

> * [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)

I think the translation inherit the project's license, which is GNU GPL v2.0.

> * [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)

No.

> * [optional] do you need us to activate any specific checks? (this is a setting per component [3])

No.

> * [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

No.

[1] https://github.com/OpenSCAP/oscap-anaconda-addon/wiki/Release-Guide

Comment 2 jibecfed 2020-02-10 21:46:45 UTC
I understand, could you please provide a dedicated project the same way the people from Cockpit or DNF or Blivet?
https://github.com/cockpit-project/cockpit-weblate

Comment 3 Ben Cotton 2020-02-11 16:32:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 4 Matěj Týč 2020-03-11 15:59:28 UTC
Hello Jean,
here is the empty repository for translations:

https://github.com/OpenSCAP/oscap-anaconda-addon-weblate

Comment 5 jibecfed 2020-03-11 18:24:32 UTC
well, I'm sure you know there is more to do ;)

please tell me when and where to find you on IRC.

You can find me as jibec on fedora-i18n. But as a contributor, I don't know when we'll have matching agendas. Evening and lunch times are fine for me.

Comment 6 jibecfed 2020-08-27 07:23:34 UTC
Be carefull, Zanata will be removed in a few weeks now: https://bugzilla.redhat.com/show_bug.cgi?id=1854445


What you need to do:
* commit pot file and po files in this repository
* commit eventual LINGUAS file
* make sure you don't have any empty translation file
* make sure you update pot file frequently
* provide commit access to https://github.com/weblate

You can get in touch with people from Anaconda team if you need some help (I assume you are used to collaborate with them):
Username 	Full name 
jkonecny 	Jiří Konečný 		
sbueno 		Samantha N. Bueno
m4rtink 	Martin Kolman 	
rvykydal 	Radek Vykydal 	
vponcova 	Vendula Poncova 	
vladimirslavik 	Vladimír Slávik

Comment 7 Matěj Týč 2020-08-27 15:15:14 UTC
Thanks for the notification!

I believe that the translation content has been identified and ported correctly thanks to Mr. Konečný from the Anaconda team - check out
https://github.com/OpenSCAP/oscap-anaconda-addon-l10n/pull/1


Could you please check things out and tell us what else needs to be done wrt integration of the repo into Weblate?

Comment 8 jibecfed 2020-08-27 15:23:33 UTC
looks good to me, I see po files and pot files in folders.

Comment 9 Matěj Týč 2020-09-03 16:25:36 UTC
Translations from Zanata were merged into master of that project, could you please proceed to create a Weblate entry? And could you clarify what is meant by "provide commit access to https://github.com/weblate" you mention in Ccomment 6?

Comment 10 jibecfed 2020-09-06 07:27:24 UTC
configuration is done, you are admin

as you have a dedicated l10n repository, please provide commit access to this user: https://github.com/weblate
it will save you the need to validate pull requests

Comment 12 Matěj Týč 2020-09-07 08:48:10 UTC
Thank you very much for your assistance!


Note You need to log in before you can comment on or make changes to this bug.